## gnustep-base 1.24.0

=== debian/changelog ===
gnustep-base (1.24.0-1ubuntu3) trusty; urgency=medium

  * Add chapter to coding-standards.texi to fix FTBFS.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 28 Dec 2013 14:10:08 +0000

gnustep-base (1.24.0-1ubuntu2) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 28 Dec 2013 13:51:38 +0000

gnustep-base (1.24.0-1ubuntu1) raring; urgency=low

  * Backport upstream fix for recent libxml2.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Nov 2012 13:56:22 +0100

gnustep-base (1.24.0-1) experimental; urgency=low

  * New major upstream release:
    + Fixes FTBFS with GCC-4.7 (Closes: #667868).
    + Does not create empty ~/GNUstep directory by default (Closes: #643305).
  * debian/control.m4 (Build-Depends): Remove quilt.
    (libgnustep-base`'SOV_BASE-dbg) <Recommends>: Add libobjc4-dbg as
    alternative.
    <Conflicts>: Add libgnustep-base1.22-dbg.
    (Standards-Version): Bump to 3.9.3; no changes needed.
  * debian/control: Regenerate.
  * debian/source/format: Switch to 3.0 (quilt).
  * debian/README.source: Delete; redundant.
  * debian/rules: Don't include /usr/share/quilt/quilt.make.  Remove quilt
    patch/unpatch stuff.  Don't bother messing with CC as it fails the
    configure test.  Build with hardening enabled.
  * debian/patches/gnutls-deprecated.patch: Remove; fixed upstream.
  * debian/patches/kfreebsd-fake-main.patch:
  * debian/patches/avoid-nsl-linkage.patch: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/series: Update.
  * debian/gnustep-base-runtime.gdomap.in: Add LSB Description keyword.
  * debian/gnustep-base-runtime.lintian-overrides: New, override hardening
    false positives.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 21 May 2012 16:22:29 +0300

gnustep-base (1.22.1-2) unstable; urgency=low

  * debian/patches/kfreebsd-fake-main.patch: New; treat GNU/kFreeBSD as
    GS_FAKE_MAIN platform because programs with many arguments abort
    (Closes: #644868).
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/series: Update.
  * debian/gnustep-base-runtime.gdomap.in: Add support for the `status'
    action, thanks Peter Eisentraut (Closes: #646844).
  * debian/control.m4 (gnustep-base-runtime) <Depends>: Add lsb-base.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 03 Nov 2011 19:58:33 +0200

gnustep-base (1.22.1-1) unstable; urgency=low

  * New upstream release:
    + Fixes implicit declaration of function (Closes: #629216).
  * debian/rules (v_make): Set to 2.6.1.
    (install-common): Do not delete non-existent .swp file.
  * debian/control.m4 (Build-Depends): Remove gobjc; gnustep-make now
    depends on it.
    (libgnustep-base-dev) <Depends>: Likewise.
    (Suggests): Remove; completely pointless.
  * debian/control: Regenerate.
  * debian/patches/avoid-nsl-linkage.patch: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 15 Sep 2011 12:31:15 +0300

gnustep-base (1.22.0-1) experimental; urgency=low

  * New major upstream release:
    + Includes support for the new Objective-C runtime (Closes: #624928).
  * debian/control.m4 (Vcs-Arch): Replace with...
    (Vcs-Git): ...since tla-buildpackage is gone.
    (Vcs-Browser): New field.
    (Standards-Version): Bump to 3.9.2; no changes needed.
    (Build-Depends): Add libicu-dev, needed for NSLocale.
    (libgnustep-base`'SOV_BASE-dbg) <Conflicts>: Set to
    libgnustep-base1.20-dbg only.
    <Recommends>: Set to libobjc3-dbg.
  * debian/control: Regenerate.
  * debian/patches/gnutls-deprecated.patch: New; fix usage of deprecated
    GnuTLS function (Closes: #624054).
  * debian/patches/missing-header.patch:
  * debian/patches/no-march.patch: Delete; fixed upstream.
  * debian/patches/NSBundle-PROCFS_EXE_LINK.patch: Delete; apparently not
    needed anymore.
  * debian/patches/manpage-fixes.patch: A few more fixes.
  * debian/patches/avoid-nsl-linkage.patch: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/series: Update.
  * debian/rules (v_objc, v_make): Bump to 4:4.6 (for libobjc3) and 2.6
    (for the sake of the testsuite) accordingly.
    (debian/build-shared-stamp): Run the testsuite.
    (install-shared): Do not delete non-existent .swp file.
    (install-common): Use $(sov_base) instead of hardcoded version.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 31 May 2011 11:03:16 +0300

gnustep-base (1.20.2-2) unstable; urgency=medium

  * debian/patches/missing-header.patch: New; install
    NSNetServices+GNUstepBase.h (Closes: #614480).
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 08 Mar 2011 18:47:59 +0200

gnustep-base (1.20.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control.m4 (Build-Depends): Replace
    libavahi-compat-libdnssd-dev with libavahi-client-dev; NSNetServices
    has been rewritten to use Avahi natively (Closes: #588396).
  * debian/control: Regenerate.
  * debian/rules (binary-arch): Revert last change.
  * debian/patches/hppa-pthread-alignment.patch: Remove; present upstream.
  * debian/patches/avoid-nsl-linkage.patch: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 13 Feb 2011 12:06:09 +0200

gnustep-base (1.20.1-6) unstable; urgency=high

  * debian/rules (binary-arch): Pass -R to dh_installinit to facilitate
    upgrades from lenny (really closes: #605565).  Thanks Axel Beckert and
    Julien Cristau.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 29 Dec 2010 20:02:39 +0200

gnustep-base (1.20.1-5) unstable; urgency=high

  * debian/gnustep-base-runtime.gdomap.in: Pass --oknodo to
    start-stop-daemon; thanks Adam Borowski (Closes: #605565).

 -- Yavor Doganov <yavor@gnu.org>  Wed, 01 Dec 2010 19:00:25 +0200

gnustep-base (1.20.1-4) unstable; urgency=medium


