=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# we're using brace expansion
SHELL := /bin/bash

include /usr/share/GNUstep/debian/config.mk
export GNUSTEP_MAKEFILES := $(GS_MAKE_DIR)

##### VERSION NUMBERS #################################

# Objective-C version :
v_objc := 4:4.6

# GNUstep Make version :
v_make	:= 2.6.1

# GNUstep Base version :
v_base	:= $(shell . ./Version; echo $$VERSION)

# GNUstep Base SONAME version :
sov_base := $(shell . ./Version; echo $$MAJOR_VERSION.$$MINOR_VERSION)

######################################################


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# make some files executable
dummy := $(shell chmod +x configure)

# packages names
p_com	= gnustep-base-common
p_run	= gnustep-base-runtime
p_lib	= libgnustep-base$(sov_base)
p_dev	= libgnustep-base-dev
p_dbg	= $(p_lib)-dbg
p_exam	= gnustep-base-examples
p_doc	= gnustep-base-doc

# packages temp dirs
d_com	= $(CURDIR)/debian/$(p_com)
d_run	= $(CURDIR)/debian/$(p_run)
d_lib	= $(CURDIR)/debian/$(p_lib)
d_dev	= $(CURDIR)/debian/$(p_dev)
d_dbg	= $(CURDIR)/debian/$(p_dbg)
d_exam	= $(CURDIR)/debian/$(p_exam)
d_doc	= $(CURDIR)/debian/$(p_doc)

# -----------------------------------------------------------------------------
# GNUstep SETTINGS

# Dirs
include /usr/share/GNUstep/debian/config.mk
ifeq ($(GS_USE_FHS),yes)
  GS_DTD_DIR=/usr/share/xml/gnustep
else
  GS_DTD_DIR=$(GNUSTEP_SYSTEM_LIBRARY)/DTDs
endif

export GNUSTEP_INSTALLATION_DOMAIN=SYSTEM

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
optim := debug=yes
endif

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,defs -Wl,--as-needed

# -----------------------------------------------------------------------------

foo-debug:
	echo $(sov_base)
#	echo $(GS_LIBRARY_COMBO)
#	echo $(GS_CPU) $(GS_OS) $(GS_COMBO_DIR)


deb-scripts: debian/deb-scripts-stamp
clean_files += debian/deb-scripts-stamp
debian/deb-scripts-stamp:
	@: # copy Debian scripts
	b=$(p_run); \
	for ext in preinst postinst prerm postrm; do \
	  if [ -f debian/$$b.$$ext.in ]; then \
	    sed -e 's,@GDOMAP@,$(GNUSTEP_SYSTEM_TOOLS)/gdomap,g' \
		debian/$$b.$$ext.in > debian/$$b.$$ext; \
	  fi; \
	done

	b=$(p_run); \
	for init in gdomap; do \
	  if [ -f debian/$$b.$$init.in ]; then \
	    sed -e 's,@GDOMAP@,$(GNUSTEP_SYSTEM_TOOLS)/gdomap,g' \
	        -e 's,@GSMAKEFILES@,$(GS_MAKE_DIR),g' \
	      debian/$$b.$$init.in > debian/$$b.$$init; \
	  fi; \
	done

	touch $@

debian/control debian/control.tmp: debian/control.m4 debian/rules
	@: # debian/control
	m4 \
		-DV_OBJC='$(v_objc)' \
		-DV_MAKE='$(v_make)' \
		-DSOV_BASE='$(sov_base)' \
		debian/control.m4 | uniq > $@

# Generate the lintian overrides file automatically, to avoid renames
# when the SONAME is bumped.
clean_files += debian/libgnustep-base$(sov_base).lintian-overrides
debian/libgnustep-base$(sov_base).lintian-overrides: debian/libgnustep-baseN.overrides.m4
	m4 -DSOV_BASE='$(sov_base)' $< > $@


config: debian/configure-stamp
clean_files += debian/configure-stamp
debian/configure-stamp: configure
	dh_testdir
# Override the test for libkvm to ensure that /proc is used on
# GNU/kFreeBSD even if libvkm-dev is installed (#593898).
	./configure CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" \
	    OBJCFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	    ac_cv_lib_kvm_kvm_getenvv=no \
	    --enable-libffi \
	    --disable-openssl \
	    --disable-bfd

	touch $@

build: build-arch

build-shared: debian/build-shared-stamp
clean_files += debian/build-shared-stamp
debian/build-shared-stamp: debian/configure-stamp
	dh_testdir

	@: # build shared libs
	$(MAKE) messages=yes $(optim) ADDITIONAL_CFLAGS="$(CFLAGS)"
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check
endif
	touch $@


# Build architecture indep
build-doc: debian/build-doc-stamp
clean_files += debian/build-doc-stamp
debian/build-doc-stamp: debian/configure-stamp build-shared
	dh_testdir

	@: # Build main doc.  Make sure autogsdoc can find the libraries.
	LD_LIBRARY_PATH=$(CURDIR)/Source/obj:$$LD_LIBRARY_PATH \
	  $(MAKE) -C Documentation messages=yes

	touch $@


# Build architecture dep
build-arch: build-shared build-static build-debug

build-static: debian/build-static-stamp
clean_files += debian/build-static-stamp
debian/build-static-stamp: debian/configure-stamp
	dh_testdir
	@: # build dev/static libs
	$(MAKE) -C Source shared=no messages=yes $(optim)

	touch $@

build-debug: debian/build-debug-stamp
clean_files += debian/build-debug-stamp
debian/build-debug-stamp: debian/configure-stamp
	touch $@


# Install all
install: install-indep install-arch

# Install architecture indep
install-indep: install-doc install-common

install-doc: build-doc
	dh_testdir
	dh_testroot
	dh_prep -i

	@: # Install the indep part of the package

	@: # install main doc
	$(MAKE) -C Documentation install DESTDIR=$(d_doc)

	@: # remove postscript doc
	for file in `find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -name "*.ps"`; do \
		rm $$file ; done

	@: # rename Info documents with generic/ambiguous names
	cd $(d_doc)/$(GNUSTEP_SYSTEM_DOC_INFO); \
	  mv manual.info gs-base.info; \
	  mv coding-standards.info gs-standards.info

	@: # symlink
	dh_installdirs -p$(p_doc) usr/share/doc/$(p_com)
	dh_link -p$(p_doc) \
	    $(GNUSTEP_SYSTEM_DOC)/Developer usr/share/doc/$(p_com)/Developer \
	    usr/share/doc/$(p_com)/Developer usr/share/doc/$(p_doc)/Developer

	@: # Prepare example package
	dh_installdirs -p$(p_exam) usr/share/doc/$(p_com)
	dh_link -p$(p_exam) usr/share/doc/$(p_com) usr/share/doc/$(p_exam)

install-common: install-shared
# The files actually get installed in install-shared.
# We trust the Debian timezones.
	rm -rf $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/zones
	ln -s /usr/share/zoneinfo \
	  $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/zones
	ln -s /etc/timezone \
	  $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/localtime


# Install architecture dep
install-arch: install-shared install-static install-debug

install-shared: build-shared
	dh_testdir -p$(p_run)
	dh_testroot -p$(p_run)
	dh_prep -p$(p_run)

	@: # install shared version of libraries
	$(MAKE) install DESTDIR=$(d_run)

	@: # move arch-indep things to -common
	dh_prep -p$(p_com)
	mkdir -p $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries
	#mkdir -p debian/gnustep-base-runtime//usr/lib/GNUstep/Libraries/gnustep-base
	mv $(d_run)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries
	#mkdir -p debian/gnustep-base-runtime//usr/lib/GNUstep/DTDs
	mv $(d_run)/$(GNUSTEP_SYSTEM_LIBRARY)/DTDs $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)
	@: # remove headers from shared packages
	rm -rf $(d_run)/$(GNUSTEP_SYSTEM_HEADERS)

	@: # remove Makefiles/Additional/base.make
	rm -rf $(d_run)/$(GS_MAKE_DIR)

	rm -f $(d_run)/etc/services.add

	@: # Install gdomap option file
	dh_installdirs -p$(p_run) etc/default
	cp -p $(CURDIR)/debian/gdomap.default $(d_run)/etc/default/gdomap

	@: # Move shared lib
	dh_install -p$(p_lib) \
	    debian/$(p_run)/$(GNUSTEP_SYSTEM_LIBRARIES)/lib*.so.* $(GNUSTEP_SYSTEM_LIBRARIES)
	rm -rf debian/$(p_run)/$(GNUSTEP_SYSTEM_LIBRARIES)/lib*

	@: # Doc symlinks
	dh_link -p$(p_lib) usr/share/doc/$(p_com) usr/share/doc/$(p_lib)
	dh_link -p$(p_run) usr/share/doc/$(p_com) usr/share/doc/$(p_run)


install-static: install-shared build-static
	dh_testdir -p$(p_dev)
	dh_testroot -p$(p_dev)
	dh_prep -p$(p_dev)

# gnustep-make 2.2.x has a bug and does not create the directory.
