## gnustep-base 1.24.6

=== debian/changelog ===
gnustep-base (1.24.6-2ubuntu1) utopic; urgency=medium

  * debian/rules:
    - Print the config.log if configure fails to debug
      powerpc/ppc64el FTBFS. (LP: #1277975)

 -- Paul Gevers <elbrus@debian.org>  Sat, 19 Jul 2014 13:02:18 +0200

gnustep-base (1.24.6-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/compat: Set to 9 to get .build-id debugging symbols.
  * debian/control.m4 (Build-Depends): Require debhelper >= 9.  Build
    against gnutls28, thanks Andreas Metzler (Closes: #753033).
    (libgnustep-base`'SOV_BASE-dbg) <Conflicts>: Remove.
    <Recommends>: Remove libobjc3-dbg.
  * debian/control: Regenerate.
  * debian/patches/hurd-ignore-NSURL-test.diff: Delete; apparently no
    longer needed.
  * debian/patches/ftbfs-mips64.patch: New; fixes FTBFS on mips64(el),
    thanks Yunqiang Su (Closes: #753961).
  * debian/patches/gnutls28.patch: New; avoid using and linking libgcrypt
    with recent GnuTLS.
  * debian/patches/NSString-buffer-overrun.patch: New, cherry-picked from
    upstream SVN.
  * debian/patches/alignment-check.patch: New, fix word-alignment
    configure test on sparc.  Cherry-picked from upstream.
  * debian/patches/testsuite-fixes.patch: New.
  * debian/patches/doc-links.patch: Point links to index.html.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/series: Update.
  * debian/rules (confflags): Define conditionally and pass --host to
    configure if cross-compiling.
    (install-debug): Install config.log and tests.log to analyze testsuite
    failures on the buildds.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 07 Jul 2014 12:16:59 +0300

gnustep-base (1.24.6-1) experimental; urgency=low

  * New upstream release:
    - Fixes FTBFS with recent libxml2 (Closes: #738347).
    - GNUSTEP_USER_DIRECTORY is no longer created unconditionally (Closes:
      #720190).
    - Fixes regression in performSelector: with message forwarding
      (Closes: #753603).
  * Ack NMUs; thanks Matthias Klose, gregor herrmann and Pino Toscano.
  * debian/patches/libobjc4.patch:
  * debian/patches/recent-libxml2-fix.patch: Remove; fixed upstream.
  * debian/patches/kfreebsd-fake-main.patch:
  * debian/patches/avoid-nsl-linkage.patch:
  * debian/patches/maxsymlinks.diff: Refresh.
  * debian/patches/autoreconf.patch: Regenerate.
  * debian/patches/texinfo5.diff: Add description.
  * debian/patches/hurd-ignore-NSURL-test.diff: Disable for now.
  * debian/patches/manpage-fixes.patch: Fix two more issues reported by
    lintian.
  * debian/patches/info-direntry.patch: Fix few texinfo warnings.
  * debian/patches/CVE-2014-2980.patch: New patch from upstream, fixes
    gdomap user security hole (Closes: #745470).
  * debian/patches/use-local-DTDs.patch: New; use local DTDs to avoid
    annoying warnings from autogsdoc when built in a chroot.  Thanks
    Svante Signell (Closes: #736587).
  * debian/patches/hide-SYSTEM_CONFIG-vars.patch: New; fix for upstream
    bug #42423.
  * debian/patches/doc-links.patch: New; fix some broken links to manuals
    in the various -doc packages, thanks js (Closes: #749196).
  * debian/patches/series: Update.
  * debian/rules (build-arch): Remove dependency on patch.
    (binary-indep): Invoke dh_installxmlcatalogs with -n since only DTDs
    are being installed, not catalogs (Closes: #637093).
    (install-doc): Don't create Developer symlink; useless.  Delete all
    gsdoc files.  Install manually the HTML manuals.
    (install-common): Use the system's ca-certificates.crt.
    (v_make): Bump to 2.6.6-2, for texi2html related changes and a
    gnustep-make bug exposed when linking static libraries.
  * debian/gdomap.default:
  * debian/gnustep-base-runtime.gdomap.in: Disable the gdomap daemon by
    default (Closes: #717773).  Provide "fancy" output; thanks Dirk
    Sandbrink (Closes: #729588).  Remove set -e/-u because of the lsb
    logging.
  * debian/control.m4 (libgnustep-base`'SOV_BASE-dbg) <Description>: Typo
    fix; thanks Pascal De Vuyst (Closes: #697628).
    <Conflicts>: Remove libgnustep-base1.20-dbg.
    (gnustep-base-doc) <Depends>: Remove dpkg (>= 1.15.4) | install-info.
    <Description>: Edit to reflect reality.
    (gnustep-base-common) <Depends>: Add ca-certificates, needed for the
    GnuTLS support.
    (Build-Depends-Indep): Remove texi2html.  Remove texlive-base (pulled
    in); add texlive-fonts-recommended, needed for the manual.
    (Vcs-Git, Vcs-Browser): Use the canonical URIs.
    (Standards-Version): Claim compliance with 3.9.5 as of this release.
  * debian/control: Regenerate.
  * debian/gnustep-base-runtime.postinst.in: Remove obsolete stuff.
  * debian/gnustep-base-runtime.prerm.in: Delete; obsolete.
  * debian/gnustep-base-runtime.NEWS: New; document that the gdomap daemon
    is not started by default.
  * debian/copyright: Update copyright years, add more copyright holders
    and ISC/Apache 2.0 blurbs.  Typo fixes.
  * debian/gnustep-base-doc.doc-base.manual:
  * debian/gnustep-base-doc.doc-base.standards: Remove Info, add HTML
    format.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 05 Jul 2014 10:45:07 +0300

gnustep-base (1.22.1-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on hurd-i386: provide MAXSYMLINKS (patch maxsymlinks.diff),
    and disable the hanging test NSURL (patch hurd-ignore-NSURL-test.diff).
    (Closes: #732642)

 -- Pino Toscano <pino@debian.org>  Sat, 25 Jan 2014 13:27:48 +0100

gnustep-base (1.22.1-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: GSXML.m:983:38: error: dereferencing pointer to
    incomplete type":
    add patch from Ubuntu / Benjamin Drung:
    - Backport upstream fix for recent libxml2.
    (Closes: #713666)

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 Nov 2013 19:57:52 +0100

gnustep-base (1.22.1-4.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with texinfo 5.x. Closes: #707509.
  * Rebuild for the libffi transition.


