=== debian/control ===
--- 
+++ 
@@ -5,30 +5,30 @@
 XSBC-Original-Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
 Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>,
 	   Yavor Doganov <yavor@gnu.org>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7),
-	       gnustep-make (>= 2.6.1),
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+	       gnustep-make (>= 2.6.6-2),
 	       libffi-dev,
 	       libxml2-dev,
 	       libxslt1-dev,
-	       libgnutls-dev,
+	       libgnutls28-dev,
 	       zlib1g-dev,
 	       m4,
 	       libavahi-client-dev,
 	       libicu-dev
-Build-Depends-Indep: texi2html,
-		     texinfo,
-		     texlive-base,
+Build-Depends-Indep: texinfo,
 		     texlive-latex-base,
+		     texlive-fonts-recommended,
 		     xml-core
 Build-Conflicts: libgmp3-dev
 Homepage: http://gnustep.org
-Vcs-Git: git://git.debian.org/pkg-gnustep/gnustep-base.git
-Vcs-Browser: http://git.debian.org/?p=pkg-gnustep/gnustep-base.git
+Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gnustep-base.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gnustep-base.git
 
 Package: gnustep-base-common
 Architecture: all
-Depends: gnustep-common (>= 2.6.1),
+Depends: gnustep-common (>= 2.6.6-2),
+	 ca-certificates,
 	 ${misc:Depends},
 	 ${gnustep:Depends}
 Suggests: gnustep-base-doc (>= ${source:Version})
@@ -81,7 +81,7 @@
 Depends: libgnustep-base1.24 (= ${binary:Version}),
 	 gnustep-base-common,
 	 gnustep-base-runtime (>= ${source:Version}),
-	 gnustep-make (>= 2.6.1),
+	 gnustep-make (>= 2.6.6-2),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
 Description: GNUstep Base header files and development libraries
@@ -100,11 +100,9 @@
 	 gnustep-base-runtime (= ${binary:Version}),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
-Recommends: libobjc3-dbg | libobjc4-dbg
-Conflicts: libgnustep-base1.20-dbg,
-	   libgnustep-base1.22-dbg
+Recommends: libobjc4-dbg
 Description: GNUstep Base library - debugging symbols
- This package contains the debigging symbols of the GNUstep Base
+ This package contains the debugging symbols of the GNUstep Base
  Library.  This package can be used to provide symbol names to a debugger to
  aid debugging.
 
@@ -127,10 +125,9 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends},
-	 ${gnustep:Depends},
-	 dpkg (>= 1.15.4) | install-info
+	 ${gnustep:Depends}
 Recommends: libgnustep-base-dev (>= ${source:Version})
 Description: Documentation for the GNUstep Base Library
- This package contains the GNUstep Base Library API reference in gsdoc
- and HTML format, as well as the GNUstep Base programming manual and
- GNUstep Coding Standards in Info and PDF format.
+ This package contains the GNUstep Base Library API reference, as well
+ as the GNUstep Base programming manual and GNUstep Coding Standards
+ in Info, HTML and PDF format.
