=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 v_objc := 4:4.6
 
 # GNUstep Make version :
-v_make	:= 2.6.1
+v_make	:= 2.6.6-2
 
 # GNUstep Base version :
 v_base	:= $(shell . ./Version; echo $$VERSION)
@@ -25,15 +25,11 @@
 
 ######################################################
 
-
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-# make some files executable
-dummy := $(shell chmod +x configure)
+ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
+confflags := --build $(DEB_BUILD_GNU_TYPE)
+else
+confflags := --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+endif
 
 # packages names
 p_com	= gnustep-base-common
@@ -131,7 +127,8 @@
 	    ac_cv_lib_kvm_kvm_getenvv=no \
 	    --enable-libffi \
 	    --disable-openssl \
-	    --disable-bfd
+	    --disable-bfd \
+	    $(confflags) || { cat config.log; exit 1; }
 
 	touch $@
 
@@ -192,38 +189,39 @@
 	dh_testroot
 	dh_prep -i
 
-	@: # Install the indep part of the package
-
-	@: # install main doc
 	$(MAKE) -C Documentation install DESTDIR=$(d_doc)
 
-	@: # remove postscript doc
-	for file in `find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -name "*.ps"`; do \
-		rm $$file ; done
-
-	@: # rename Info documents with generic/ambiguous names
+# Manually copy the HTML manuals as gnustep-make cannot cope with the
+# @setfilename change.
+	cp -a $(CURDIR)/Documentation/manual/gs-base \
+	  $(d_doc)/$(GNUSTEP_SYSTEM_DOC)/Developer/Base/ProgrammingManual
+	cp -a $(CURDIR)/Documentation/gs-standards \
+	  $(d_doc)/$(GNUSTEP_SYSTEM_DOC)/Developer/CodingStandards
+
+# Delete PostScript/gsdoc files.
+	find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -regextype posix-egrep \
+	  -regex  ".*(ps|gsdoc)$$" -delete
+
+# Rename Info documents with generic/ambiguous names.
 	cd $(d_doc)/$(GNUSTEP_SYSTEM_DOC_INFO); \
 	  mv manual.info gs-base.info; \
 	  mv coding-standards.info gs-standards.info
 
-	@: # symlink
-	dh_installdirs -p$(p_doc) usr/share/doc/$(p_com)
-	dh_link -p$(p_doc) \
-	    $(GNUSTEP_SYSTEM_DOC)/Developer usr/share/doc/$(p_com)/Developer \
-	    usr/share/doc/$(p_com)/Developer usr/share/doc/$(p_doc)/Developer
-
-	@: # Prepare example package
+# Prepare the examples package.
 	dh_installdirs -p$(p_exam) usr/share/doc/$(p_com)
 	dh_link -p$(p_exam) usr/share/doc/$(p_com) usr/share/doc/$(p_exam)
 
 install-common: install-shared
 # The files actually get installed in install-shared.
-# We trust the Debian timezones.
+# Use the system's timezones/certificates.
 	rm -rf $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/zones
 	ln -s /usr/share/zoneinfo \
 	  $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/zones
 	ln -s /etc/timezone \
 	  $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/localtime
+	rm $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/GSTLS/ca-certificates.crt
+	ln -s /etc/ssl/certs/ca-certificates.crt \
+	  $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-base/Versions/$(sov_base)/Resources/GSTLS/
 
 
 # Install architecture dep
@@ -267,8 +265,3 @@
 
 
 install-static: install-shared build-static
-	dh_testdir -p$(p_dev)
-	dh_testroot -p$(p_dev)
-	dh_prep -p$(p_dev)
-
-# gnustep-make 2.2.x has a bug and does not create the directory.
