## gnustep-base 1.24.7

=== debian/changelog ===
gnustep-base (1.24.7-1build2) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:25:27 +0000

gnustep-base (1.24.7-1build1) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:40:01 +0100

gnustep-base (1.24.7-1) unstable; urgency=medium

  * New upstream bugfix release:
    - SSLv3 is disabled by default because of CVE-2014-3566.
  * debian/patches/testsuite-fixes.patch: Remove hunks applied upstream.
    Disable some tests that are doomed to fail.
  * debian/patches/info-direntry.patch:
  * debian/patches/manpage-fixes.patch: Remove hunks applied upstream.
  * debian/patches/NSString-buffer-overrun.patch:
  * debian/patches/ftbfs-mips64.patch:
  * debian/patches/hide-SYSTEM_CONFIG-vars.patch:
  * debian/patches/use-local-DTDs.patch:
  * debian/patches/CVE-2014-2980.patch:
  * debian/patches/kfreebsd-fake-main.patch:
  * debian/patches/avoid-nsl-linkage.patch:
  * debian/patches/gnutls28.patch:
  * debian/patches/alignment-check.patch:
  * debian/patches/avoid-tools-extra-linkage.patch:
  * debian/patches/maxsymlinks.diff: Delete; applied upstream.
  * debian/patches/pldes-manpage-rename.patch: Refresh.
  * debian/patches/autoreconf.patch: Delete; no longer needed.
  * debian/patches/fix-spelling-errors.patch: New.
  * debian/patches/series: Update.
  * debian/HTMLLinker.1:
  * debian/make_strings.1: Delete; added upstream.
  * debian/rules (configure-stamp): Dump config.log to stdout in case of
    configure error.
    (binary-arch): Install upstream manpages.
  * debian/control.m4 (Standards-Version): Bump to 3.9.6; no changes
    needed.
  * debian/control: Regenerate.
  * debian/gnustep-base-common.xmlcatalogs.in: Add new 1_0_4 DTD.
  * debian/gnustep-base-runtime.gdomap.in: Check for daemon existence,
    thanks Felipe Sateler (Closes: #764526).  Create /var/run/gdomap
    before the daemon starts.
  * debian/gdomap.default: Avoid chroot to /tmp, thanks Ansgar Burchardt
    (Closes: #741441).
  * debian/gnustep-base-runtime.NEWS: Rename as NEWS as it is not picked
    by apt-listchanges.
  * debian/watch: Check upstream signature.
  * debian/upstream/signing-key.pgp: Add upstream keyring.
  * debian/source/include-binaries: New file.
  * debian/copyright: Switch to format 1.0, update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 22 Oct 2014 17:36:45 +0300
