=== debian/rules ===
--- 
+++ 
@@ -121,14 +121,14 @@
 debian/configure-stamp: configure
 	dh_testdir
 # Override the test for libkvm to ensure that /proc is used on
-# GNU/kFreeBSD even if libvkm-dev is installed (#593898).
+# GNU/kFreeBSD even if libkvm-dev is installed (#593898).
 	./configure CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" \
 	    OBJCFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
 	    ac_cv_lib_kvm_kvm_getenvv=no \
 	    --enable-libffi \
 	    --disable-openssl \
 	    --disable-bfd \
-	    $(confflags) || { cat config.log; exit 1; }
+	    $(confflags) || (cat config.log; exit 1)
 
 	touch $@
